module GI.Vte.Objects.Terminal where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype Terminal = Terminal (ForeignPtr Terminal)
instance GObject Terminal where
class GObject o => TerminalK o
instance (GObject o, IsDescendantOf Terminal o) => TerminalK o
data TerminalAllowBoldPropertyInfo
data TerminalAudibleBellPropertyInfo
data TerminalBackspaceBindingPropertyInfo
data TerminalCjkAmbiguousWidthPropertyInfo
data TerminalCurrentDirectoryUriPropertyInfo
data TerminalCurrentFileUriPropertyInfo
data TerminalCursorBlinkModePropertyInfo
data TerminalCursorShapePropertyInfo
data TerminalDeleteBindingPropertyInfo
data TerminalEncodingPropertyInfo
data TerminalFontDescPropertyInfo
data TerminalFontScalePropertyInfo
data TerminalIconTitlePropertyInfo
data TerminalInputEnabledPropertyInfo
data TerminalPointerAutohidePropertyInfo
data TerminalPtyPropertyInfo
data TerminalRewrapOnResizePropertyInfo
data TerminalScrollOnKeystrokePropertyInfo
data TerminalScrollOnOutputPropertyInfo
data TerminalScrollbackLinesPropertyInfo
data TerminalWindowTitlePropertyInfo
data TerminalWordCharExceptionsPropertyInfo
data TerminalBellSignalInfo
data TerminalCharSizeChangedSignalInfo
data TerminalChildExitedSignalInfo
data TerminalCommitSignalInfo
data TerminalContentsChangedSignalInfo
data TerminalCopyClipboardSignalInfo
data TerminalCurrentDirectoryUriChangedSignalInfo
data TerminalCurrentFileUriChangedSignalInfo
data TerminalCursorMovedSignalInfo
data TerminalDecreaseFontSizeSignalInfo
data TerminalDeiconifyWindowSignalInfo
data TerminalEncodingChangedSignalInfo
data TerminalEofSignalInfo
data TerminalIconTitleChangedSignalInfo
data TerminalIconifyWindowSignalInfo
data TerminalIncreaseFontSizeSignalInfo
data TerminalLowerWindowSignalInfo
data TerminalMaximizeWindowSignalInfo
data TerminalMoveWindowSignalInfo
data TerminalNotificationReceivedSignalInfo
data TerminalPasteClipboardSignalInfo
data TerminalRaiseWindowSignalInfo
data TerminalRefreshWindowSignalInfo
data TerminalResizeWindowSignalInfo
data TerminalRestoreWindowSignalInfo
data TerminalSelectionChangedSignalInfo
data TerminalTextDeletedSignalInfo
data TerminalTextInsertedSignalInfo
data TerminalTextModifiedSignalInfo
data TerminalTextScrolledSignalInfo
data TerminalWindowTitleChangedSignalInfo
