
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Vte.Structs.CharAttributes
    ( 

-- * Exported types
    CharAttributes(..)                      ,
    noCharAttributes                        ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Vte.Types
import GI.Vte.Callbacks

newtype CharAttributes = CharAttributes (ForeignPtr CharAttributes)
noCharAttributes :: Maybe CharAttributes
noCharAttributes = Nothing


